vga_showcursor(3)

NAME
vga_showcursor - show / hide mouse cursor

SYNOPSIS
#include <vga.h> void vga_showcursor(int show);

DESCRIPTION
if show == 0, hides the cursor. if show == 1, shows the cursor. if show == 2, hides the cursor only if a software cursor is in use.

NOTES
The show == 2 case is needed, since drawing over the software cursor is not allowed. This means that when the program needs to draw and can not be sure that the cursor is not overwritten, it needs to hide the cursor before drawing. This might cause the cursor to flicker. If the cursor is hidden by calling vga_showcursor(2) (instead of vga_showcursor(0) ), then hardware cursor will not flicker.

SEE ALSO
svgalib(7), mouse_init(3), vga_selectcursor(3), vga_initcursor(3), vga_setcursorposition(3), vga_setcursorimage(3),

AUTHOR
This manual page written by Matan Ziv-Av <matan@svgalib.org>.